﻿/*__________________________
 * U S I N G   F O R   L O O P S
 * CS 213 C#
 * Ron Kessler
 * Created 3/31/2015
 * 
 */ 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Using_For_Loops_CS
{
	public partial class frmMain : Form
	{
		public frmMain()
		{
			InitializeComponent();
		}

		private void frmMain_Load(object sender, EventArgs e)
		{
				//---load items into listbox	
				lstItems.Items.Add("Spark plugs");
				lstItems.Items.Add("Battery");
				lstItems.Items.Add("Coolant");
				lstItems.Items.Add("Wiper Blades");
				lstItems.Items.Add("Hand Cleaner");
				lstItems.Items.Add("Alternator Belt");
				lstItems.Items.Add("Radiator Hose");
		}

		private void btnAdd_Click(object sender, EventArgs e)
		{
			//---now cycle through the selected items and send them to the other list box. SelectedItems is created for us
			//when the program runs by the listbox itself...it keeps track of what they chose. Then all we have to do is to read
			//through that list and do something with them. This SelectedItems Collection is only available to us at run-time. Not design time.

			// int x = 0 is a loop control variable and is also used to identify each index# of the selected items.
			
			if (lstItems.SelectedItems.Count > 0)
			{
				for (int x = 0; x < lstItems.SelectedItems.Count; x++)
				{
					
					lstPurchased.Items.Add(lstItems.SelectedItems[x].ToString());

				}
			}
		}

		private void btnClear_Click(object sender, EventArgs e)
		{
			lstPurchased.Items.Clear();
		}

		private void btnQuit_Click(object sender, EventArgs e)
		{
			this.Close();
		}
	}
}
